STMF target must be offline exception in Nexenta volume driver

Bug #1209305 reported by Victor Rodionov on 2013-08-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Victor Rodionov

Bug Description

Unhandled exception in Nexenta volume driver:

    NexentaJSONException: : Unable to add member to targetgroup: stmfadm: STMF target must be offline

This error happens when targetgroup is already configured and busy.

This is an exception traceback

2013-08-07 21:48:55.894 ERROR cinder.volume.manager [req-8c7f4613-552a-4583-bc4b-7c60f92f9717 536224e75ffb4ee384101b611ec06007 a5798030ca1545e9a0233e111742b341] volume volume-b9b64860-ced7-4f65-83ed-62ea856d1629: create failed
2013-08-07 21:48:55.895 ERROR cinder.openstack.common.rpc.amqp [req-8c7f4613-552a-4583-bc4b-7c60f92f9717 536224e75ffb4ee384101b611ec06007 a5798030ca1545e9a0233e111742b341] Exception during message handling
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp Traceback (most recent call last):
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/amqp.py", line 433, in _process_data
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp **args)
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp return getattr(proxyobj, method)(ctxt, **kwargs)
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/manager.py", line 345, in create_volume
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp "create.end")
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/contextlib.py", line 24, in __exit__
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp self.gen.next()
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/manager.py", line 334, in create_volume
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp model_update = self.driver.create_export(context, volume_ref)
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/nexenta/volume.py", line 302, in create_export
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp loc = self._do_export(_ctx, volume, ensure=False)
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/nexenta/volume.py", line 267, in _do_export
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp target_name)
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/nexenta/jsonrpc.py", line 82, in __call__
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp raise NexentaJSONException(response['error'].get('message', ''))
2013-08-07 21:48:55.895 TRACE cinder.openstack.common.rpc.amqp NexentaJSONException: : Unable to add member to targetgroup: stmfadm: STMF target must be offline

Changed in cinder:
assignee: nobody → Victor Rodionov (vito-ordaz)
description: updated
description: updated

Reviewed: https://review.openstack.org/39792
Committed: http://github.com/openstack/cinder/commit/0627980f12b74d06b636627b78e432d72aab86ec
Submitter: Jenkins
Branch: master

commit 0627980f12b74d06b636627b78e432d72aab86ec
Author: Victor Rodionov <email address hidden>
Date: Fri Aug 2 00:41:24 2013 +0400

    Ignore stmf target must be offline exception

    Patch to ignore

    "NexentaJSONException: : Unable to add member to targetgroup:
        stmfadm: STMF target must be offline"

    This error happens when targetgroup is already configured and busy.

    fixed bug 1209305

    Change-Id: I275dcf465934c99d30f85932fe72e8b1818ef870

Reviewed: https://review.openstack.org/42238
Committed: http://github.com/openstack/cinder/commit/2b3b1d360011f87c2a6d30a1a77bfe8974113379
Submitter: Jenkins
Branch: master

commit 2b3b1d360011f87c2a6d30a1a77bfe8974113379
Author: Victor Rodionov <email address hidden>
Date: Fri Aug 16 03:07:32 2013 +0400

    Ignore stmf target must be offline exception

    Patch to ignore

    "NexentaJSONException: : Unable to add member to targetgroup:
      stmfadm: STMF target must be offline"

    This error happens when targetgroup is already configured and busy.

    fixed bug 1209305

    Change-Id: I2441118c0968a7a373b5990db6782129291c3051

Changed in cinder:
status: New → Fix Committed
Thierry Carrez (ttx) on 2014-01-22
Changed in cinder:
milestone: none → icehouse-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-2 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers